/***************************************************************************
 *   Copyright (C) 2006-2007 by Vladimir Jary   *
 *   jaryv1@kmlinux.fjfi.cvut.cz   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

/*!
* \file main.cpp
* \brief ffmpeg2theora application
*
* \c ffmpeg2theora_fe is an application that converts any video \c ffmpeg can decode
* into Theora format It uses \c ffmpeg2theora as a backend.
*/

#include <qapplication.h>
#include <qtextcodec.h>
#include <qdir.h>
#include "mainform.h"

int main( int argc, char **argv )
{
    QApplication a( argc, argv );
	 QTranslator translator( 0 );
	 translator.load( QString("ffmpeg2theora_fe_") + QTextCodec::locale(), QDir::homeDirPath() + "/.ffmpeg2theora_fe/" );
     a.installTranslator( &translator );
    mainForm w;
    w.show();
    a.connect( &a, SIGNAL( lastWindowClosed() ), &a, SLOT( quit() ) );
    return a.exec();
}
